Opt Out Storefront
Authorization<token>
Bearer token
In: header
X-Organization-ID<token>
Tenant or organization identifier
In: header
Response Body
application/json
curl -X POST "https://api.noderings.com/v1/provider/storefront/opt-out" \ -H "Authorization: Bearer {your_token}" \ -H "X-Organization-ID: {your_org_id}" \ -H "Content-Type: application/json" \ -d '{}'{
"storefront": {
"optedIn": true,
"unpublishedByOps": true,
"liveSlug": "string",
"participationStatus": "STOREFRONT_PARTICIPATION_STATUS_UNSPECIFIED",
"liveRevision": {
"id": "string",
"status": "STOREFRONT_REVISION_STATUS_UNSPECIFIED",
"proposedSlug": "string",
"tagline": "string",
"aboutMarkdown": "string",
"aboutHtml": "string",
"coverImageUrl": "string",
"logoImageUrl": "string",
"highlightKeys": [
"string"
],
"highlightCustom": "string",
"highlightCustomLines": [
"string"
],
"featuredPlanIds": [
"string"
],
"faqs": [
{
"question": "string",
"answer": "string"
}
],
"submittedAt": "2019-08-24T14:15:22Z",
"approvedAt": "2019-08-24T14:15:22Z",
"rejectReason": "string"
},
"workingRevision": {
"id": "string",
"status": "STOREFRONT_REVISION_STATUS_UNSPECIFIED",
"proposedSlug": "string",
"tagline": "string",
"aboutMarkdown": "string",
"aboutHtml": "string",
"coverImageUrl": "string",
"logoImageUrl": "string",
"highlightKeys": [
"string"
],
"highlightCustom": "string",
"highlightCustomLines": [
"string"
],
"featuredPlanIds": [
"string"
],
"faqs": [
{
"question": "string",
"answer": "string"
}
],
"submittedAt": "2019-08-24T14:15:22Z",
"approvedAt": "2019-08-24T14:15:22Z",
"rejectReason": "string"
},
"suggestedSlug": "string",
"slugLocked": true,
"highlightAllowlist": [
"string"
]
}
}